function [SYM,INDEX]=getDiffSectors(SYM,SEC)
% function RES=getDiffSectors(SYM,SEC)
% Визначає різні сектори і встановлює для них індекси кольорів
% Вхід:
%   SYM - абревіатури фірм
%   SEC - назви секторів фірм
% Вихід:
%   RES1 - вектор-рядок абревіатур фірм

[m,n]=size(SYM);
% читаємо почергово значення секторів, порівнюємо із попередніми і відразу
% організуємо масив індексів секторів
SECTORS=SEC(1,1);
INDEX=1;
COUNT=1;
for i=2:m
    index=1;
    while (index<=COUNT) && (CmpStr(char(SECTORS(1,index)),char(SEC(i,1)))~=0)
        index=index+1;
    end
    if index>COUNT
        SECTORS=[SECTORS SEC(i,1)];
        COUNT=COUNT+1;
    end
    INDEX=[INDEX index];
end
SYM=SYM';